Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## pulling.availability_predection
Enum Hour

    java.lang.Object
      java.lang.Enum<Hour>
          pulling.availability_predection.Hour

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Hour>

    public enum Hour

extends java.lang.Enum<Hour>

This is a utility class to express the hour of the day, used by the AvailabilityManager Class

Author:
  Majd Kokaly

Enum Constant Summary
`H00` 00:00 - 01:00
`H01` 01:00 - 02:00
`H02` 02:00 - 03:00
`H03` 03:00 - 04:00
`H04` 04:00 - 05:00
`H05` 05:00 - 06:00
`H06` 06:00 - 07:00
`H07` 07:00 - 08:00
`H08` 08:00 - 09:00
`H09` 09:00 - 10:00
`H10` 10:00 - 11:00
`H11` 11:00 - 12:00
`H12` 12:00 - 13:00
`H13` 13:00 - 14:00
`H14` 14:00 - 15:00
`H15` 15:00 - 16:00
`H16` 16:00 - 17:00
`H17` 17:00 - 18:00
`H18` 18:00 - 19:00
`H19` 19:00 - 20:00
`H20` 20:00 - 21:00
`H21` 21:00 - 22:00
`H22` 22:00 - 23:00
`H23` 23:00 - 24:00

Method Summary
`static Hour` | `getHour(java.util.Calendar calendar)` Simple Mapping between java.util.Calendar and WeekDay enumeration
`static Hour` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Hour[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### H00

    public static final Hour H00

  00:00 - 01:00

### H01

    public static final Hour H01

  01:00 - 02:00

### H02

    public static final Hour H02

  02:00 - 03:00

### H03

    public static final Hour H03

  03:00 - 04:00

### H04

    public static final Hour H04

  04:00 - 05:00

### H05

    public static final Hour H05

  05:00 - 06:00

### H06

    public static final Hour H06

  06:00 - 07:00

### H07

    public static final Hour H07

  07:00 - 08:00

### H08

    public static final Hour H08

  08:00 - 09:00

### H09

    public static final Hour H09

  09:00 - 10:00

### H10

    public static final Hour H10

  10:00 - 11:00

### H11

    public static final Hour H11

  11:00 - 12:00

### H12

    public static final Hour H12

  12:00 - 13:00

### H13

    public static final Hour H13

  13:00 - 14:00

### H14

    public static final Hour H14

  14:00 - 15:00

### H15

    public static final Hour H15

  15:00 - 16:00

### H16

    public static final Hour H16

  16:00 - 17:00

### H17

    public static final Hour H17

  17:00 - 18:00

### H18

    public static final Hour H18

  18:00 - 19:00

### H19

    public static final Hour H19

  19:00 - 20:00

### H20

    public static final Hour H20

  20:00 - 21:00

### H21

    public static final Hour H21

  21:00 - 22:00

### H22

    public static final Hour H22

  22:00 - 23:00

### H23

    public static final Hour H23

  23:00 - 24:00

Method Detail

### values

    public static final Hour[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Hour c : Hour.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Hour valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### getHour

    public static Hour getHour(java.util.Calendar calendar)

  Simple Mapping between java.util.Calendar and WeekDay enumeration

  Parameters:
    `calendar` - an instance of type java.util.Calendar
  Returns:
    The Hour of this calendar (date).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD